Subject: Re: ncurses, less, and termcap
From: [email-masked] (Michael Hirmke)

30 Jan 1998 17:35:27 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Tim,

>I finally got `ncurses' and `less' to compile, install, and run. Well, sort
>of. If you do any backward scrolling the screen gets all screwed up, so it
>really isn't doing much good right now. I suspect it may have something to
>do with the termcap file. I used the --enable-termcap configure option, but
>I'm not sure if that was right. Anybody know what will work here?
>
>BTW I had to comment out less's iprintf function redefinition (the whole
>thing) because gcc didn't like it, (it used parameter declarations different
>from the standard prototype in stdio.h). Could this be causing any trouble?

Yes - you have to rename all iprintf's to something like my_iprintf and
you should have less problems. If you comment them out, the iprintf from
the standard libs will be used with wrong number and type of parameters.

>
>I'm going to remake ncurses without the --enable-termcap option and see what
>that does.
>
>--Tim Fisher

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".